Package org.linphone.core

# Interface ParticipantDeviceListener

All Known Implementing Classes:
  `ParticipantDeviceListenerStub`

public interface ParticipantDeviceListener
An object to handle the callbacks for the handling a `ParticipantDevice`
objects.
Use
invalid reference

    Factory#createParticipantDeviceCbs

to create an instance. Then pass
the object to a `ParticipantDevice` instance through `ParticipantDevice.addListener(org.linphone.core.ParticipantDeviceListener)`
.

## Method Summary

Modifier and Type
Method
Description
`void`
`onIsMuted(ParticipantDevice participantDevice, boolean isMuted)`
Callback used to notify that this participant device is muted or is no longer
muted.
`void`
`onIsSpeakingChanged(ParticipantDevice participantDevice, boolean isSpeaking)`
Callback used to notify that is this participant device speaking has changed.
`void`
`onScreenSharingChanged(ParticipantDevice participantDevice, boolean isScreenSharing)`
Callback used to notify that this participant device is screen sharing or is no
longer screen sharing.
`void`
`onStateChanged(ParticipantDevice participantDevice, ParticipantDevice.State state)`
Callback used to notify that participant device changed state.
`void`
`onStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available, StreamType streamType)`
Callback used to notify that participant device stream availability has
changed.
`void`
`onStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction, StreamType streamType)`
Callback used to notify that participant device stream capability has changed.
`void`
`onThumbnailStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available)`
Callback used to notify that participant device thumbnail stream availability
has changed.
`void`
`onThumbnailStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction)`
Callback used to notify that participant device thumbnail stream capability has
changed.
`void`
`onVideoDisplayErrorOccurred(ParticipantDevice participantDevice, int errorCode)`
Callback to notify that there are errors from the video rendering of the
participant device.

## Method Details

### onIsSpeakingChanged

void onIsSpeakingChanged(ParticipantDevice participantDevice, boolean isSpeaking)
Callback used to notify that is this participant device speaking has changed.

Parameters:
  `participantDevice` - `ParticipantDevice` object
  `isSpeaking` - is this participant device speaking

### onIsMuted

void onIsMuted(ParticipantDevice participantDevice, boolean isMuted)
Callback used to notify that this participant device is muted or is no longer
muted.

Parameters:
  `participantDevice` - `ParticipantDevice` object
  `isMuted` - is this participant device muted

### onScreenSharingChanged

void onScreenSharingChanged(ParticipantDevice participantDevice, boolean isScreenSharing)
Callback used to notify that this participant device is screen sharing or is no
longer screen sharing.

Parameters:
  `participantDevice` - `ParticipantDevice` object
  `isScreenSharing` - is this participant device screen sharing

### onStateChanged

void onStateChanged(ParticipantDevice participantDevice, ParticipantDevice.State state)
Callback used to notify that participant device changed state.

Parameters:
  `participantDevice` - LinphoneParticipantDevice object
  `state` - new participant device state

### onStreamCapabilityChanged

void onStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction, StreamType streamType)
Callback used to notify that participant device stream capability has changed.

Parameters:
  `participantDevice` - `ParticipantDevice` object
  `direction` - participant device's stream direction
  `streamType` - type of stream: audio, video or text

### onThumbnailStreamCapabilityChanged

void onThumbnailStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction)
Callback used to notify that participant device thumbnail stream capability has
changed.

Parameters:
  `participantDevice` - `ParticipantDevice` object
  `direction` - participant device's thumbnail direction

### onStreamAvailabilityChanged

void onStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available, StreamType streamType)
Callback used to notify that participant device stream availability has
changed.

Parameters:
  `participantDevice` - `ParticipantDevice` object
  `available` - true if the stream is available on our side
  `streamType` - type of stream: audio, video or text

### onThumbnailStreamAvailabilityChanged

void onThumbnailStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available)
Callback used to notify that participant device thumbnail stream availability
has changed.

Parameters:
  `participantDevice` - `ParticipantDevice` object
  `available` - participant device's thumbnail stream availability

### onVideoDisplayErrorOccurred

void onVideoDisplayErrorOccurred(ParticipantDevice participantDevice, int errorCode)
Callback to notify that there are errors from the video rendering of the
participant device.
Check LinphoneCallCbsVideoDisplayErrorOccurredCb for more details.

Parameters:
  `participantDevice` - LinphoneParticipantDevice object
  `errorCode` - the error code coming from the display render.